Package: groovy.ui

## [Java] Class ConsoleTextEditor

- groovy.ui.ConsoleTextEditor

- Component which provides a styled editor for the console.

  Authors:
    hippy
    Danno Ferrin
    Tim Yates
    Guillaume Laforge

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class JScrollPane` | `VIEWPORT, VERTICAL_SCROLLBAR, HORIZONTAL_SCROLLBAR, ROW_HEADER, COLUMN_HEADER, LOWER_LEFT_CORNER, LOWER_RIGHT_CORNER, UPPER_LEFT_CORNER, UPPER_RIGHT_CORNER, LOWER_LEADING_CORNER, LOWER_TRAILING_CORNER, UPPER_LEADING_CORNER, UPPER_TRAILING_CORNER, VERTICAL_SCROLLBAR_POLICY, HORIZONTAL_SCROLLBAR_POLICY, VERTICAL_SCROLLBAR_AS_NEEDED, VERTICAL_SCROLLBAR_NEVER, VERTICAL_SCROLLBAR_ALWAYS, HORIZONTAL_SCROLLBAR_AS_NEEDED, HORIZONTAL_SCROLLBAR_NEVER, HORIZONTAL_SCROLLBAR_ALWAYS, WHEN_FOCUSED, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_IN_FOCUSED_WINDOW, UNDEFINED_CONDITION, TOOL_TIP_TEXT_KEY, TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, WIDTH, HEIGHT, PROPERTIES, SOMEBITS, FRAMEBITS, ALLBITS, ERROR, ABORT`
    `class JComponent` | `WHEN_FOCUSED, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_IN_FOCUSED_WINDOW, UNDEFINED_CONDITION, TOOL_TIP_TEXT_KEY, TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, WIDTH, HEIGHT, PROPERTIES, SOMEBITS, FRAMEBITS, ALLBITS, ERROR, ABORT`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `def` | `ConsoleTextEditor()` Creates a new instance of ConsoleTextEditor
    `` | `boolean` | `clipBoardAvailable()`
    `` | `String` | `getDefaultFamily()`
    `` | `Action` | `getPrintAction()`
    `` | `Action` | `getRedoAction()`
    `` | `TextEditor` | `getTextEditor()`
    `` | `Action` | `getUndoAction()`
    `` | `protected void` | `initActions()`
    `` | `void` | `setDefaultFamily(String defaultFamily)`
    `` | `void` | `setEditable(boolean editable)`
    `` | `void` | `setShowLineNumbers(boolean showLineNumbers)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class JScrollPane` | `setLayout, setComponentOrientation, getAccessibleContext, getUI, getUIClassID, setUI, updateUI, isValidateRoot, createHorizontalScrollBar, createVerticalScrollBar, getColumnHeader, getHorizontalScrollBar, getHorizontalScrollBarPolicy, getRowHeader, getVerticalScrollBar, getVerticalScrollBarPolicy, getViewportBorder, getViewportBorderBounds, isWheelScrollingEnabled, setColumnHeader, setHorizontalScrollBar, setHorizontalScrollBarPolicy, setRowHeader, setRowHeaderView, setVerticalScrollBar, setVerticalScrollBarPolicy, setViewport, setViewportBorder, setViewportView, setWheelScrollingEnabled, getCorner, getViewport, setColumnHeaderView, setCorner, update, contains, getLocation, print, getSize, isOpaque, disable, enable, getBounds, addAncestorListener, firePropertyChange, firePropertyChange, firePropertyChange, getClientProperty, getListeners, setEnabled, addNotify, addVetoableChangeListener, computeVisibleRect, createToolTip, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, paint, paintImmediately, paintImmediately, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, add, add, add, add, add, remove, remove, list, list, removeAll, invalidate, addPropertyChangeListener, addPropertyChangeListener, locate, layout, minimumSize, paintComponents, preferredSize, printComponents, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicyProvider, transferFocusDownCycle, getFocusTraversalPolicy, isFocusCycleRoot, isFocusCycleRoot, setFocusTraversalPolicy, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getLayout, getMousePosition, insets, isAncestorOf, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, validate, getComponents, getComponent, getComponentAt, getComponentAt, getComponentCount, add, remove, toString, getName, contains, size, getLocation, getParent, setName, list, list, list, getSize, location, setSize, setSize, resize, resize, enable, isValid, bounds, getBounds, getLocale, removePropertyChangeListener, removePropertyChangeListener, postEvent, transferFocus, transferFocusBackward, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, checkImage, checkImage, createImage, createImage, createVolatileImage, createVolatileImage, enableInputMethods, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getToolkit, gotFocus, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isFocusTraversable, isFontSet, isForegroundSet, keyDown, keyUp, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, paintAll, prepareImage, prepareImage, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, setCursor, setDropTarget, setFocusTraversalKeysEnabled, setFocusable, setIgnoreRepaint, show, show, transferFocusUpCycle, action, isEnabled, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getFocusCycleRootAncestor, getFont, getForeground, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getTreeLock, isDisplayable, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isVisible, nextFocus, repaint, repaint, repaint, setBounds, setBounds, setLocation, setLocation, dispatchEvent, getGraphicsConfiguration, getMousePosition, handleEvent, isFocusOwner, isFocusable, isLightweight, move, setLocale, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`
    `class JComponent` | `update, contains, getLocation, print, getSize, isOpaque, disable, enable, getBounds, addAncestorListener, firePropertyChange, firePropertyChange, firePropertyChange, getClientProperty, getListeners, getUIClassID, setEnabled, updateUI, addNotify, addVetoableChangeListener, computeVisibleRect, createToolTip, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintImmediately, paintImmediately, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, add, add, add, add, add, remove, remove, list, list, removeAll, invalidate, addPropertyChangeListener, addPropertyChangeListener, locate, layout, minimumSize, paintComponents, preferredSize, printComponents, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, getFocusTraversalPolicy, isFocusCycleRoot, isFocusCycleRoot, setFocusTraversalPolicy, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getLayout, getMousePosition, insets, isAncestorOf, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, validate, getComponents, getComponent, getComponentAt, getComponentAt, getComponentCount, add, remove, toString, getName, contains, size, getLocation, getParent, setName, list, list, list, getSize, location, setSize, setSize, resize, resize, enable, isValid, bounds, getBounds, getLocale, removePropertyChangeListener, removePropertyChangeListener, postEvent, transferFocus, transferFocusBackward, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, checkImage, checkImage, createImage, createImage, createVolatileImage, createVolatileImage, enableInputMethods, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getToolkit, gotFocus, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isFocusTraversable, isFontSet, isForegroundSet, keyDown, keyUp, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, paintAll, prepareImage, prepareImage, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, setComponentOrientation, setCursor, setDropTarget, setFocusTraversalKeysEnabled, setFocusable, setIgnoreRepaint, show, show, transferFocusUpCycle, action, isEnabled, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getAccessibleContext, getBackground, getFocusCycleRootAncestor, getFont, getForeground, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getTreeLock, isDisplayable, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isVisible, nextFocus, repaint, repaint, repaint, setBounds, setBounds, setLocation, setLocation, dispatchEvent, getGraphicsConfiguration, getMousePosition, handleEvent, isFocusOwner, isFocusable, isLightweight, move, setLocale, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public def ConsoleTextEditor()

      Creates a new instance of ConsoleTextEditor

    - #### public boolean clipBoardAvailable()

    - #### public String getDefaultFamily()

    - #### public Action getPrintAction()

    - #### public Action getRedoAction()

    - #### public TextEditor getTextEditor()

    - #### public Action getUndoAction()

    - #### protected void initActions()

    - #### public void setDefaultFamily(String defaultFamily)

    - #### public void setEditable(boolean editable)

    - #### public void setShowLineNumbers(boolean showLineNumbers)